[SM-Grimoire-Bugs] [Bug 14351] avahi missing gtk-sharp-2 dependency?

bugzilla-daemon at bugs.sourcemage.org bugzilla-daemon at bugs.sourcemage.org
Sun Apr 13 17:16:48 EDT 2008


http://bugs.sourcemage.org/show_bug.cgi?id=14351





------- Additional Comments From sandalle at sourcemage.org  2008-04-13 16:16 -------
Ahh, just hit it! :)
# cast avahi
...
avahi has an optional dependency on glib2 (Use GLib2?)
Do you want to use glib2? [y] y
avahi has an optional dependency on qt-x11 (Build Qt3 mainloop integration?)
Do you want to use qt-x11? [y] y
avahi has an optional dependency on qt4 (Build Qt4Core mainloop integration?)
Do you want to use qt4? [y] y
avahi has an optional dependency on gtk+ (Use GTK+?)
Do you want to use gtk+? [y] y
avahi has an optional dependency on dbus-python (Use D-BUS?)
Do you want to use dbus-python? [y] y
avahi has an optional dependency on expat (Use Expat?)
Do you want to use expat? [y] y
avahi has an optional dependency on gdbm (Use GDBM?)
Do you want to use gdbm? [y] n
avahi has an optional dependency on libdaemon (Use libdaemon?)
Do you want to use libdaemon? [y] y
avahi has an optional dependency on python (Enable scripts that depends on python?)
Do you want to use python? [y] y
avahi has an optional dependency on pygtk2 (Make use of GTK in Python?)
Do you want to use pygtk2? [y] y
avahi has an optional dependency on mono (Enable mono bindings?)
Do you want to use mono? [y] y
avahi has an optional dependency on monodoc (Enable documentation for mono
bindings?)
Do you want to use monodoc? [y] y
...
Making all in avahi-ui-sharp
make[2]: Entering directory `/usr/src/avahi-0.6.22/avahi-ui-sharp'
mcs -keyfile:../avahi-sharp/avahi.snk -target:library -out:avahi-ui-sharp.dll
-debug ./ServiceDialog.cs -pkg:gtk-sharp-2.0 -r:../avahi-sharp/avahi-sharp.dll
-r:Mono.Posix
Package gtk-sharp-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `gtk-sharp-2.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'gtk-sharp-2.0' found
error CS8027: Error running pkg-config. Check the above output.
make[2]: *** [avahi-ui-sharp.dll] Error 1
make[2]: Leaving directory `/usr/src/avahi-0.6.22/avahi-ui-sharp'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/avahi-0.6.22'
make: *** [all] Error 2

They key seems to be depending on python, but not gdbm (I get a different error
if I depend on both python and gdbm, so that may cause this as well).

-- 
Configure bugmail: http://bugs.sourcemage.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.



More information about the SM-Grimoire-Bugs mailing list